> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Promotion Codes by Coupon

> Retrieve promotion codes for a coupon on a connected account.



## OpenAPI

````yaml get /stripe/connect/accounts/{accountId}/coupons/{couponId}/promotion-codes
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /stripe/connect/accounts/{accountId}/coupons/{couponId}/promotion-codes:
    get:
      tags:
        - Stripe Connect
      summary: List Promotion Codes by Coupon
      description: Retrieve promotion codes for a coupon on a connected account.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          description: The Stripe connected account ID
          schema:
            type: string
        - name: couponId
          in: path
          required: true
          description: The Stripe coupon ID
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Max number of promotion codes to return (1-100). Defaults to 50.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - name: starting_after
          in: query
          required: false
          description: Pagination cursor (returns results after this ID).
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the promotion code
                          example: promo_1SucFwRjNw7C4HMK01fsfjOh
                        object:
                          type: string
                          description: Object type
                          example: promotion_code
                        active:
                          type: boolean
                          description: Whether the promotion code is active
                          example: true
                        code:
                          type: string
                          description: The customer-facing code
                          example: SUMMER20
                        coupon:
                          type: object
                          description: The coupon associated with this promotion code
                          properties:
                            id:
                              type: string
                              example: rgJkxQB4
                            object:
                              type: string
                              example: coupon
                            amount_off:
                              type: integer
                              nullable: true
                              example: null
                            created:
                              type: integer
                              description: Unix timestamp of when coupon was created
                              example: 1751915454
                            currency:
                              type: string
                              example: usd
                            duration:
                              type: string
                              example: repeating
                            duration_in_months:
                              type: integer
                              nullable: true
                              example: 3
                            livemode:
                              type: boolean
                              example: true
                            max_redemptions:
                              type: integer
                              nullable: true
                              example: null
                            metadata:
                              type: object
                              example: {}
                            name:
                              type: string
                              example: 3Months Off
                            percent_off:
                              type: number
                              nullable: true
                              example: 10
                            redeem_by:
                              type: integer
                              nullable: true
                              example: null
                            times_redeemed:
                              type: integer
                              example: 6
                            valid:
                              type: boolean
                              example: true
                        created:
                          type: integer
                          description: >-
                            Unix timestamp of when the promotion code was
                            created
                          example: 1769620216
                        customer:
                          type: string
                          nullable: true
                          description: >-
                            The customer that this promotion code can be used
                            by, or null if it can be used by any customer
                          example: cus_TppcYxuTJKLNnG
                        customer_account:
                          type: string
                          nullable: true
                          example: null
                        expires_at:
                          type: integer
                          nullable: true
                          description: Unix timestamp of when the promotion code expires
                          example: 1770137940
                        livemode:
                          type: boolean
                          example: true
                        max_redemptions:
                          type: integer
                          nullable: true
                          description: >-
                            Maximum number of times this promotion code can be
                            redeemed
                          example: 10
                        metadata:
                          type: object
                          example: {}
                        restrictions:
                          type: object
                          properties:
                            first_time_transaction:
                              type: boolean
                              description: >-
                                Whether this promotion code is only valid for
                                first time transactions
                              example: true
                            minimum_amount:
                              type: integer
                              nullable: true
                              example: null
                            minimum_amount_currency:
                              type: string
                              nullable: true
                              example: null
                        times_redeemed:
                          type: integer
                          description: >-
                            Number of times this promotion code has been
                            redeemed
                          example: 0
                  has_more:
                    type: boolean
                    description: Whether there are more results available
                    example: false
                  next_cursor:
                    type: string
                    nullable: true
                    description: Cursor for the next page of results
                    example: null
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````